%define language de-DE
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname German
%define		name nvu-%{locale}
%define		version 1.0
%define		release %mkrel 2
%define		_buildroot %{_tmppath}/%{name}-buildroot
%define		nvu_version 1.0
%define		mozillalibdir %{_libdir}/nvu-%{nvu_version}
%define		xpidir http://ftp.iasi.roedu.net/mirrors/mozdev.org/nvude/1.0/xpi/

Summary:	%{langname} interface for Nvu 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	nvu-%{version}-langpack-%{language}.xpi
License:	GPL
Group:		Development/Other
Url:		http://mozdev.oregonstate.edu/nvude/
BuildRoot:	%{_buildroot}
BuildRequires:	nvu
Requires:		nvu = %{nvu_version}
Requires:	locales-%{locale}

%description
%{langname} langpack for Nvu 1.0

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cat << EOF > %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/editor-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/de-DE/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/de-DE/navigator-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/de-DE/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pinger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/tipoftheday/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/wallet/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/cascades/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/help/

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%_libdir/nvu-%{nvu_version}/chrome/%language.jar
%_libdir/nvu-%{nvu_version}/chrome/rc.d/10_%name.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl



%changelog
* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2008.0
+ Revision: 72254
- convert prereq
- use %%mkrel


* Wed Jun 29 2005 Michael Berger <webmaster@hmb-linux.de> 1.0-1mdk
- fix spec- errors
- New langrelease for NVU 1.0

* Sun Mar 20 2005 AndyRTR <andreas.radke@freenet.de> 0.90-1andyrtr
- New release 0.90

* Mon Feb 28 2005 AndyRTR <andreas.radke@freenet.de> 0.81-2andyrtr
- spec taken from nvu-cs rpm ; thanx a lot ;-)
- initial release for german language pack

* Sun Feb 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.81-2mdk
- fix bug #6574

* Thu Feb 17 2005 Couriousous <couriousous@mandrake.org> 0.81-1mdk
- 0.81

* Sat Jan 29 2005 Couriousous <couriousous@mandrake.org> 0.70-2mdk
- From Jaroslav Krejci <krejci@zstenis.com>:
 - Update

* Mon Jan 24 2005 Couriousous <couriousous@mandrake.org> 0.70-1mdk
- Some minors tweaks
- From: Jaroslav Krejci <krejci@zstenis.com> 0.70-1mdk
	- initial release

